Auto Multiple Choice - Bug # 615: Student ID not enumerated on 1.40rc2 for existing projects unless
they are re-compiled

Status: Closed Priority: Normal
Author: Steve Murphy Category: LaTeX
Created: 12/08/2018 Assignee:
Updated: 02/08/2021 Due date:
Description: Hello,
| ran an already built test through 1.4.0rc2 yesterday that had been installed in a fresh copy of Ubuntu 18.04
from the AMC package repository.
| noted that when | got to the final report spreadsheet, all of the marks had been correctly captured, but not
the 'etu’ field that captures the student ID. This came out as mostly zeroes, with the odd '1' in it.
Checking the captured forms, showed that the student numbers were correctly encoded. This project did
work previously on 1.30 and 1.2.1.
Steps to reproduce:
1. Open an existing, pre-compiled project in AMC
2. Run through automatic detection
3. Using the manual detection window, ensure the student ID is correctly encoded.
4. Mark the test.
5. View the test results via the export button on the Reports tab. Note that the student numbers are mainly
zeroes. (see attached report)
Expected behaviour:
Student ID is correctly displayed in the report.
Workaround:
Recompile the project and re-detect the layout. Run through the above steps again and the student numbers
will now be displayed.
History

12/08/2018 08:10 am - Alexis Bienveniie

Please attach your source file.

12/29/2018 09:25 pm - Alexis Bienvenlie

- Status changed from New to Feedback

- Target version deleted (1.4.0)

02/08/2021 11:06 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
MissingStudentID.ods

05/17/2025

32.4 kB 12/08/2018 Steve Murphy

1/1




